<section id="Event-List">
	<table>
        <tr>
            <th class="command"></th>
            <th class="desc">footnote</th>
        </tr>
        <tr>
            <td class="bold">*</td>
            <td>writable</td>
        </tr>
        <tr>
            <td class="bold">**</td>
            <td>can be null</td>
        </tr>
        <tr>
            <td class="bold">receiver</td>
            <td>sender (player / console)<br>"dev" (perm "script.debug" needed)<br>"online"<br>"server"</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity_change_block</th>
            <th class="desc">an entity changes a block</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>block<br>change_data as blockdata for the new state<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_damage</th>
            <th class="desc">an entity gets damage</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>damage_source<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/EntityDamageEvent.DamageCause.html" target="_blank">cause</a> as string<br>**damager_block<br>**damager_entity<br>damage<br>raw_damage<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_heal</th>
            <th class="desc">an entity gets healed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>*heal<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/EntityRegainHealthEvent.RegainReason.html" target="_blank">cause</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_death</th>
            <th class="desc">a living_entity dies</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>damage_source<br>*drops as list of itemstacks<br>*experience<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_drop</th>
            <th class="desc">a destroyed block drops something</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>*drops as list with ItemEntities</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_click</th>
            <th class="desc">an entity gets right_clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>entity<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
	</table>
    <table>
        <tr>
            <th class="command">living_spawn</th>
            <th class="desc">a living entity spawns</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/CreatureSpawnEvent.SpawnReason.html" target="_blank">cause</a> as string<br>location<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_spawn</th>
            <th class="desc">an entity spawns</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>location<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_remove</th>
            <th class="desc">an entity is removed from a world</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_tame</th>
            <th class="desc">a living entity gets tamed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>tamer<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_mount</th>
            <th class="desc">an entity mounts another entity</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>mount as entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_login</th>
            <th class="desc">a player tries to connect to the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>result</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_join</th>
            <th class="desc">a player joins the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>message = null means no message</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_quit</th>
            <th class="desc">a player leaves the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>message = null means no message</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_pre_respawn</th>
            <th class="desc">a player will respawn</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can set the spawn-location on this event</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_post_respawn</th>
            <th class="desc">a player has respawned</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can refill the inventory on this event</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_toggle_sneak</th>
            <th class="desc">a player toggles sneak</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>sneak as boolean<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_drop</th>
            <th class="desc">a player drops an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item_entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_pickup</th>
            <th class="desc">a living entity picks up an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>item_entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_move</th>
            <th class="desc">a player moves in a before defined area</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>id</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_break</th>
            <th class="desc">a block is broken</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_place</th>
            <th class="desc">a block is placed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_click</th>
            <th class="desc">a block gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>**block<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/block/Action.html" target="_blank">action</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">bucket_use</th>
            <th class="desc">a bucket is filled / vacated</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>bucket as material<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_click</th>
            <th class="desc">a slot in an container gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>**inv_clicked<br>inv_title as text<br>inv_slot as double<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/ClickType.html" target="_blank">click</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/InventoryAction.html" target="_blank">action</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">snuvi_click</th>
            <th class="desc">a slot in an custom inventory gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>inv_title as text<br>inv_slot as double<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/ClickType.html" target="_blank">click</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/InventoryAction.html" target="_blank">action</a> as string</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>Custom inventories are not script-across.</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_close</th>
            <th class="desc">an inventory gets closed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>inv_title as text</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_consume</th>
            <th class="desc">an item gets consumed by a player</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">pre_craft</th>
            <th class="desc">a player crafts an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>players as list with players<br>*item<br>*inv</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>item can be set to null</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">craft</th>
            <th class="desc">a player takes the result item out of craft inventory</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_change_world</th>
            <th class="desc">a player changes the world</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from world as string</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_teleport</th>
            <th class="desc">a player teleports</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from as location<br>to as location<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/player/PlayerTeleportEvent.TeleportCause.html" target="_blank">cause</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">fishing</th>
            <th class="desc">a player fishes something</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>**entity<br>*experience<br>hook as entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command</th>
            <th class="desc">a player uses a non custom-command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>command as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">custom_command</th>
            <th class="desc">something uses a custom-command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command as string<br>args as list<br>string_args as list with strings only</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>sender can be a player, console...<br></td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">chat</th>
            <th class="desc">a player writes into chat</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text<br>*cancel</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>This event is fired asynchronous</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">projectile_hit</th>
            <th class="desc">a thrown projectile hits a block or an entity</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>**shooter<br>projectile<br>**entity_hit<br>**block_hit<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">arm_swing</th>
            <th class="desc">a player makes an arm_swing (might be a leftclick into air)</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">human_damage</th>
            <th class="desc">a human gets damage</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>human<br>damage_source<br>damage<br>*cancel | true</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">explosion</th>
            <th class="desc">explosions are cancelled on default</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>*fire as boolean<br>*radius<br>*cancel | true</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_command</th>
            <th class="desc">a sender uses a non-existing command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_perm</th>
            <th class="desc">a sender has no permissions for a used command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_data_tick</th>
            <th class="desc">thrown if a timer from data.setTimer reached 0</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>var</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_start</th>
            <th class="desc">thrown if a player starts using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_stop</th>
            <th class="desc">thrown if a player stops using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_item_held</th>
            <th class="desc">a player changes their hotbar slot</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from as double<br>to as double<br>*cancel</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_swap_hand_items</th>
            <th class="desc">a player swaps their items in their hands</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*cancel</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world_load</th>
            <th class="desc">a world gets loaded</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>world</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">vote</th>
            <th class="desc">a vote gets received</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>from as string<br>name as string<br>ip as string<br>timestamp as double</td>
        </tr>
    </table>
</section>

<section id="Event">
    <table>
        <tr>
            <th class="command">event.addMoveData</th>
            <th class="desc">creates an area for player_move events and returns the id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.addMoveData(location1, location2, cooldown, livingtime, [uuid / string_uuid / player])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                cooldown: -1 terminated after a single trigger<br>
                cooldown: > 0 clock rate in ticks, no termination<br>
				livingtime: -1 area lives forever<br>
                livingtime: > 0 stays amount of ticks alive<br>
				uuid / string_uuid / player: event only triggers for this player
            </td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>on script termination this area will be removed</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command"event.removeMoveData</th>
            <th class="desc">removes an area for player_move events by id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.removeMoveData(id)</td>
        </tr>
    </table>
</section>

<section id="Ban">
	<table>
        <tr>
            <th class="command">ban.add</th>
            <th class="desc">bans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.add(player_name, reason, banner, [end_date])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				reason as string<br>
				banner as string (the person who bans, write what you want)<br>
				end_date as calendar object
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">ban.remove</th>
            <th class="desc">unbans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.remove(player_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">ban.kick</th>
            <th class="desc">kicks a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.kick(player, reason)</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>reason as text</td>
        </tr>
    </table>
</section>

<section id="Block">
    <table>
        <tr>
            <th class="command">block.setData</th>
            <th class="desc">set a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setData(block, blockdata, [boolean | false])</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true places with block update</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.setMaterial</th>
            <th class="desc">set a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setMaterial(block, <a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/Material.html" target="_blank">material</a>, [boolean | false])</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true places with block update</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.clone</th>
            <th class="desc">clone a block to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.clone(block, location, [boolean | false])</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true places with block update</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setSign</th>
            <th class="desc">set text on a sign</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setSign(block, row, text)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>row from 0 to 3</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getSign</th>
            <th class="desc">returns the text of a sign from a specific row</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getSign(block, row)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>row from 0 to 3</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.get</th>
            <th class="desc">returns a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getData</th>
            <th class="desc">returns the blockdata of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getData(block)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getInventory</th>
            <th class="desc">returns the inventory of a block or null if it is not a container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getInventory(block)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getType</th>
            <th class="desc">returns the <a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/Material.html" target="_blank">material</a> of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getType(block)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getLocation</th>
            <th class="desc">returns the location of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getLocation(block)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setOpen</th>
            <th class="desc">set the open property for a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setOpen(block, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.isOpen</th>
            <th class="desc">returns true if the block is open</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.isOpen(block)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.hasTag</th>
            <th class="desc">returns true if a block has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.hasTag(block, tag)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.break</th>
            <th class="desc">breaks a block and drops the item</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.break(block, [entity])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getEntity</th>
            <th class="desc">return the tile entity of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getEntity(block)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.setEntity</th>
            <th class="desc">set the tile entity for a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setEntity(block, entity)</td>
        </tr>
    </table>
</section>

<section id="Databank">
    <table>
        <tr>
            <th class="command">databank.prepare</th>
            <th class="desc">returns the prepared statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.prepare(sql-query, [boolean autoclose | true])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setInt</th>
            <th class="desc">sets an int in a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setInt(statement, index, int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setDouble</th>
            <th class="desc">sets a double in a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setDouble(statement, index, double)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setLong</th>
            <th class="desc">sets a long in a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setLong(statement, index, long)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setString</th>
            <th class="desc">sets a string in a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setString(statement, index, string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setBool</th>
            <th class="desc">sets a boolean in a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setBool(statement, index, boolean)</td>
        </tr>
    </table>
	
    <table>
        <tr>
            <th class="command">databank.getInt</th>
            <th class="desc">returns an int from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getInt(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getDouble</th>
            <th class="desc">returns a double from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getDouble(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getLong</th>
            <th class="desc">returns a long from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getLong(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getString</th>
            <th class="desc">returns a string from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getString(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getBool</th>
            <th class="desc">returns a boolean from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getBool(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.execute</th>
            <th class="desc">returns a result-set after executing a reading statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.execute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.workerExecute</th>
            <th class="desc">executes a writing statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.workerExecute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.next</th>
            <th class="desc">returns true and jumps to the next entry if the result-set has a next entry</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.next(result-set)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.close</th>
            <th class="desc">manual closing of a result-set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.close(result-set)</td>
        </tr>
    </table>
</section>

<section id="Config">
    <table>
        <tr>
            <th class="command">config.saveAsync</th>
            <th class="desc">saves a config asynchronous</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>config.saveAsync(config)</td>
        </tr>
    </table>
</section>

<section id="Gamerule">
	<table>
        <tr>
            <th class="command">gamerule.getKey</th>
            <th class="desc">returns a gamerule_key</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getKey(gamerule_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.getValue</th>
            <th class="desc">return a gamerule_value from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getValue(world, gamerule_key)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.setBool</th>
            <th class="desc">sets a gamerule_value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setBool(gamerule_value, boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.setInt</th>
            <th class="desc">sets a gamerule_key</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setInt(gamerule_key, value)</td>
        </tr>
    </table>
    </table>
</section>

<section id="General">
    <table>
        <tr>
            <th class="command">msg</th>
            <th class="desc">sends a message</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>msg(receiver, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">isPlayer</th>
            <th class="desc">returns true if the argument is a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isPlayer(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">isLiving</th>
            <th class="desc">returns true if the argument is a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isLiving(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">setMOTD</th>
            <th class="desc">sets the message of the day in the server list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>setMOTD(string)</td>
        </tr>
    </table>
</section>

<section id="Item">
    <table>
        <tr>
            <th class="command">Xitem.drop</th>
            <th class="desc">drops an itemstack at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.drop(location, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.get</th>
            <th class="desc">returns an item as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.get(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getType</th>
            <th class="desc">returns the type of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getType(itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>"minecraft:wool" / "km:artefact"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getAmount</th>
            <th class="desc">returns the amount of items in an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getAmount(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setAmount</th>
            <th class="desc">sets the amount of items for an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setAmount(itemstack, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getName</th>
            <th class="desc">returns the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getName(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setName</th>
            <th class="desc">sets the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setName(itemstack, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getLore</th>
            <th class="desc">returns a list with all lores of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getLore(ItemStack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setLore</th>
            <th class="desc">sets the lore for an itemstack with the elements in the list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setLore(itemstack, List)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.addLore</th>
            <th class="desc">sets the lore for an itemstack for a specific row</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addLore(itemstack, lore, row)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.addAttribute</th>
            <th class="desc">adds an attribute to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addAttribute(itemstack, attribute, slot, double, operation)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>
				attributes: generic.max_health, generic.follow_range, generic.knockback_resistance, generic.movement_speed, generic.flying_speed, generic.attack_damage, generic.attack_damage, generic.attack_knockback, generic.attack_speed, generic.armor, generic.armor_toughness, generic.luck, zombie.spawn_reinforcements, horse.jump_strength<br>
				slots: mainhand, offhand, head, chest, legs, feet<br>
				operation: 0 (ADDITION), 1 (MULTIPLY_BASE), 2 (MULTIPLY_TOTAL)
			</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.clearAttributes</th>
            <th class="desc">removes all custom attributes from an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.clearAttributes(itemstack)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.hasAttributes</th>
            <th class="desc">returns true if an itemstack has custom attributes</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasAttributes(itemstack)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.addDefaultTags</th>
            <th class="desc">adds the default attributes to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addDefaultTags(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hide</th>
            <th class="desc">hides something on an itemstack and returns true on success</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hide(itemstack, name)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>name: "enchantments" / "attributes" / "unbreakable" / "destroys" / "placed_on" / "potion_effects"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.addPotion</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addPotion(itemstack, potion_name, duration, power)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setCoolDown</th>
            <th class="desc">sets the cooldown for an item-type</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setCoolDown(player, itemstack, ticks)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.clone</th>
            <th class="desc">returns a copy of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.clone(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hasTag</th>
            <th class="desc">returns true if an itemstack has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasTag(tag, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hasName</th>
            <th class="desc">returns true if the itemstack has a modified name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasName(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getFullText</th>
            <th class="desc">returns the full text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getFullText(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.isDamageable</th>
            <th class="desc">returns true if the itemstack is damageable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.isDamageable(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getMaxDamage</th>
            <th class="desc">returns the maximum damage the itemstack can get</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxDamage(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.setDamage</th>
            <th class="desc">sets the damage of the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setDamage(itemstack, amount)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getDamage</th>
            <th class="desc">returns the damage of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getDamage(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getMaxAmount</th>
            <th class="desc">returns the maximum amount of stackable items</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxAmount(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.get</th>
            <th class="desc">returns an itemstack from an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.get(item-entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.set</th>
            <th class="desc">sets an itemstack to an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.set(item-entity, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.new</th>
            <th class="desc">creates an item-entity from an itemstack and returns the item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.new(location, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.spawn</th>
            <th class="desc">spawns an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.spawn(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.entity.setLifespan</th>
            <th class="desc">sets the lifespan of an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.setLifespan(item-entity, ticks)</td>
        </tr>
    </table>
</section>

<section id="Enchantment">
	<table>
        <tr>
            <th class="command">Xenchantment.get</th>
            <th class="desc">returns an enchantment</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.get(enchantment_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td><a href="https://minecraft-de.gamepedia.com/Verzauberung#Verzauberungen" target="_blank">Minecraft Wiki Verzauberungen</a> (ID-Name verwenden)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xenchantment.add</th>
            <th class="desc">adds an enchantment to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.add(enchantment, itemstack, level)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.getLevel</th>
            <th class="desc">returns the level of an enchantment an itemstack has</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.getLevel(enchantment, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.readFromItem</th>
            <th class="desc">returns a map with all enchantments from an item with the level as value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.readFromItem(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.writeToItem</th>
            <th class="desc">transfers all enchantments from the map on the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.writeToItem(map, itemstack)</td>
        </tr>
    </table>
</section>

<section id="Debug">
	<table>
        <tr>
            <th class="command">debug.clear</th> 
            <th class="desc">clears all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.getSize</th> 
            <th class="desc">returns the amount of all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.getIndex</th> 
            <th class="desc">returns the debug-message from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.setConsolePrint</th> 
            <th class="desc">true prints snuvi debug-messages on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.setConsolePrint(boolean)</td>
        </tr>
    </table>
</section>

<section id="Error">
	<table>
        <tr>
            <th class="command">error.clear</th> 
            <th class="desc">clears all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.getSize</th> 
            <th class="desc">returns the amount of all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.getIndex</th> 
            <th class="desc">returns the error from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.setConsolePrint</th> 
            <th class="desc">true prints snuvi errors on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.setConsolePrint(boolean)</td>
        </tr>
    </table>
</section>

<section id="Location">
    <table>
        <tr>
            <th class="command">loc.new</th> 
            <th class="desc">creates a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.new(world, x, y, z)<br>loc.new(world, x, y, z, yaw, pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getX</th>
            <th class="desc">returns the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getX(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setX</th>
            <th class="desc">sets the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setX(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addX</th>
            <th class="desc">adds the value to the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addX(location, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">loc.getBlockX</th>
            <th class="desc">returns the x block coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getBlockX(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getY</th>
            <th class="desc">returns the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getY(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setY</th>
            <th class="desc">sets the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setY(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addY</th>
            <th class="desc">adds the value to the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addY(location, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">loc.getBlockY</th>
            <th class="desc">returns the y block coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getBlockY(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getZ</th>
            <th class="desc">returns the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getZ(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setZ</th>
            <th class="desc">sets the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setZ(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addZ</th>
            <th class="desc">adds the value to the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addZ(location, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">loc.getBlockZ</th>
            <th class="desc">returns the z block coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getBlockZ(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setYaw</th>
            <th class="desc">sets the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setYaw(location, Yaw)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getYaw</th>
            <th class="desc">returns the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getYaw(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setPitch</th>
            <th class="desc">sets the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setPitch(location, Pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getPitch</th>
            <th class="desc">returns the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getPitch(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getWorld</th>
            <th class="desc">returns the world of a location as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getWorld(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.distance</th>
            <th class="desc">returns the difference between two locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.distance(location1, location2)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>there is an error if the two locations have not the same world</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.isBetween</th>
            <th class="desc">returns true if the location is between two other locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.isBetween(location, location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.mod</th>
            <th class="desc">returns a modified copy of the location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.mod(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.add</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.add(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.set</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.set(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.sort</th>
            <th class="desc">sort in lowest and highest coordinates</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.sort(location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.iterator</th>
            <th class="desc">returns the iterator for the area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.iterator(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">loc.explode</th>
            <th class="desc">makes an explosion at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.explode(location, entity, radius, fire_bool, block_damage_bool)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>entity can be null</td>
        </tr>
    </table>
</section>

<section id="Read">
    <table>
        <tr>
            <th class="command">Xread.spawnMob</th>
            <th class="desc">spawns a mob and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.spawnMob(location, nbt-tag)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xread.player</th>
            <th class="desc">returns the object player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.player(playername)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xread.item</th>
            <th class="desc">returns an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
			<td>
				read.item(nbt-tag)<br>
				read.item(item_type)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount, name)<br>
				read.item(item_type, item_amount, name, lore1, lore2, ...)
			</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>returns null if the item does not exist</td>
        </tr>
    </table>
	<table>
		<tr>
			<th class="command">Xread.uuid</th>
			<th class="desc">returns a uuid</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.uuid("uuid")</td>
		</tr>
	</table>
	<table>
		<tr>
			<th class="command">Xread.slot</th>
			<th class="desc">returns a slot</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.slot(slot)</td>
		</tr>
		<tr>
			<td class="bold">Info</td>
			<td>slot: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
		</tr>
	</table>
</section>

<section id="String">
	<table>
        <tr>
            <th class="command">string.item</th>
            <th class="desc">returns an nbt-tag from an itemstack as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>string.item(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">string.entity</th>
            <th class="desc">returns a serialized entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>string.entity(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">string.text</th>
            <th class="desc">returns a text converted to a string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>string.text(text)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">string.blockData</th>
            <th class="desc">returns blockdata converted to a string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>string.blockData(blockdata)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">string.blockEntity</th>
            <th class="desc">returns a blockentity converted to a string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>string.blockEntity(blockentity)</td>
        </tr>
    </table>
</section>

<section id="Text">
	<table>
        <tr>
            <th class="command">text.new</th>
            <th class="desc">returns a text</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.new(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.click</th>
            <th class="desc">returns a clickable text</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.click(show_text, execute_string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.hover</th>
            <th class="desc">returns a hoverable text</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.hover(show_text, hover_text)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.link</th>
            <th class="desc">returns a clickable text for links</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.link(text, link_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.clipBoard</th>
            <th class="desc">returns a clickable text to copy a string into the clipboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.clipBoard(text, string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.merge</th>
            <th class="desc">returns merged texts</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.merge(text, ...)</td>
        </tr>
    </table>
</section>

<section id="Plot">
    <table>
        <tr>
            <th class="command">plot.add</th>
            <th class="desc">returns the created plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.add(location1, location2, [plot_id])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.remove</th>
            <th class="desc">removes a plot from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.remove(plot, world)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getId</th>
            <th class="desc">returns the plot_id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getId(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.setName</th>
            <th class="desc">sets the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setName(plot, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getName</th>
            <th class="desc">returns the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getName(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.get</th>
            <th class="desc">returns a list with all plots at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.intersecting</th>
            <th class="desc">returns a list with all intersecting plots</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.intersecting(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.setFlags</th>
            <th class="desc">sets all flags to the boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setFlags(plot, flags, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getFlags</th>
            <th class="desc">returns all flags as double</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getFlags(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.hasFlags</th>
            <th class="desc">returns true if all flags existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.hasFlags(plot, flags)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getOwners</th>
            <th class="desc">returns a list with all owners as uuid</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getOwners(plot)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>list can be modified</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.check</th>
            <th class="desc">returns true if the player is owner of any plot from that location OR if any plot contains all given flags. returns empty if there is no plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.check(location, player, Int flags, Boolean empty)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>player can be null<br>flags: 0 if not desired<br>1 PLACE_FLAG<br>2 BREAK_FLAG<br>4 BUCKET_FLAG<br>8 HIT_AMBIENT_FLAG<br>16 BLOCK_INTERACT_FLAG<br>32 ENTITY_INTERACT_FLAG</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
				plot.check(loc, null, 1, false) ==> true if place_flag existing<br>
				plot.check(loc, null, 2, false) ==> true if break_flag existing<br>
				plot.check(loc, null, 3, false) ==> true if break_flag and place_flag existing<br>
				plot.check(loc, player, 0, false) ==> true if player is owner<br>
				plot.check(loc, player, 0, true) ==> true if player is owner or if there is no plot
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.iterator</th>
            <th class="desc">returns the iterator for the plots in a world [for a player]</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.iterator(world, [uuid])</td>
        </tr>
    </table>
</section>

<section id="Table">
	<table>
        <tr>
            <th class="command">table.new</th>
            <th class="desc">returns a table object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.new(color, width, width, width, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getStart</th>
            <th class="desc">returns the head of a table</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getStart(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getMiddle</th>
            <th class="desc">returns the middle of a table</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getMiddle(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getEnd</th>
            <th class="desc">returns the end of a table</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getEnd(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.get</th>
            <th class="desc">returns a line of a table</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.get(table, args...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.setSize</th>
            <th class="desc">defines the pixel size of a character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setSize("character", pixel_int)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.setEmpty1</th>
            <th class="desc">defines the 1 pixel empty character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setEmpty1(string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.setEmpty2</th>
            <th class="desc">defines the 2 pixel empty character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setEmpty2(string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.setEmpty4</th>
            <th class="desc">defines the 4 pixel empty character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setEmpty4(string)</td>
        </tr>
    </table>
</section>

<section id="Command">
    <table>
        <tr>
            <th class="command">command.add</th>
            <th class="desc">registers a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.add(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.remove</th>
            <th class="desc">removes a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.remove(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clear</th>
            <th class="desc">removes all custom commands</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clear()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.exists</th>
            <th class="desc">returns true if a custom command exists</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.exists(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addIgnored</th>
            <th class="desc">ignores a (vanilla) command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addIgnored(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clearIgnored</th>
            <th class="desc">removes all ignored command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearIgnored()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelp</th>
            <th class="desc">returns a help-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelp(string, perm)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpLiteral</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLiteral(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpBool</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpBool(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpDouble</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpDouble(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpFloat</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpFloat(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpInt</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpInt(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpLong</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLong(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpString</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpString(string, boolean, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>boolean true means greedy</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpSpecial</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpSpecial(type, string, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>type = "Item", "Block", "Potion", "Enchantment", "Player"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelp</th>
            <th class="desc">registers a command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelp(help-object)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelpChild</th>
            <th class="desc">help-sub-object2 is added tp help-(sub-)object1 as a new argument</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpChild(help-(sub-)object1, help-sub-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelpAlias</th>
            <th class="desc">help-object1 refers to help-object2</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpAlias(help-object1, help-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.sendHelp</th>
            <th class="desc">sends all registered command-helps to all players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.sendHelp([player])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clearHelp</th>
            <th class="desc">removes all registered command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearHelp()</td>
        </tr>
    </table>
</section>

<section id="Scoreboard">
    <table>
        <tr>
            <th class="command">sb.add</th>
            <th class="desc">adds text to the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.add(player, unique_index, string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>vanilla: maximum 12 rows</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.remove</th>
            <th class="desc">removes a row from the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.remove(player, unique_index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sb.addRaw</th>
            <th class="desc">adds text to the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.addRaw(player, index, unique_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>vanilla: maximum 12 rows</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.removeRaw</th>
            <th class="desc">removes a row from the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.removeRaw(player, unique_string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.setTitle</th>
            <th class="desc">sets a scoreboard title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.setTitle(player, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.clear</th>
            <th class="desc">clears the scoreboard of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.clear(player)</td>
        </tr>
    </table>
</section>

<section id="Script">
    <table>
        <tr>
            <th class="command">script.start</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.start(scriptpath1, scriptpath2, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">script.startNamed</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.startNamed(custom_name, scriptpath1, scriptpath2, ...)</td>
        </tr>
			<td class="bold">Info</td>
			<td>named scripts can be selected with script.get by their custom_name</td>
		<tr>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">script.callEvent</th>
            <th class="desc">calls an event</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.callEvent(event, [script])</td>
        </tr>
    </table>
</section>

<section id="Title">
    <table>
        <tr>
            <th class="command">title.send</th>
            <th class="desc">shows a player a title (and subtitle if set)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.send(player, title, [subtitle], [fadeIn | 20], [stay | 60], [fadeOut | 20])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">title.remove</th>
            <th class="desc">removes the shown title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.remove(player)</td>
        </tr>
    </table>
</section>

<section id="Permission">
    <table>
        <tr>
            <th class="command">perm.clear</th>
            <th class="desc">removes all permissions from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.clear(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.add</th>
            <th class="desc">adds a permission to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.add(perm, player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.has</th>
            <th class="desc">returns true if a player has the permission</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.has(perm, player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.update</th>
            <th class="desc">updates the permissions of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.update(player)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>call this after adding all player permissions</td>
        </tr>
    </table>
</section>

<section id="Player">
    <table>
        <tr>
            <th class="command">players.toWorldList</th>
            <th class="desc">returns a list with all players in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.toWorldList(World)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">players.near</th>
            <th class="desc">returns a list with all players within a radius of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.near(location, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">players.getAmount</th>
            <th class="desc">returns the number of online players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.getAmount()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.damageArmor</th>
            <th class="desc">damages the armor of a player, portioned on all armor parts</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageArmor(player, damage, damage_source)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>damage is cast to float</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getHead</th>
            <th class="desc">returns the head of a player as an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHead(uuid, name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>uuid and(!) name of the same(!) player</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getNearest</th>
            <th class="desc">returns the next player to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNearest(location)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>searches in a radius of 10 blocks</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setDisplayName</th>
            <th class="desc">sets the name of a player in the tab list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setDisplayName(player, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.action</th>
            <th class="desc">shows a message in the action bar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.action(receiver, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getTargetBlock</th>
            <th class="desc">returns the block a player is looking at</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTargetBlock(player, radius, [fluidmode|false])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				Vanilla default radius: 5<br>
				radius will be cast to int<br>
				fluidmode: true does not ignore water
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getName</th>
            <th class="desc">returns the name of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getName(uuid / string_uuid / player)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>uuid and string_uuid can return null</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getUuid</th>
            <th class="desc">returns the uuid of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuid(player / player_name)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>player_name can return null</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getUuidFromId</th>
            <th class="desc">returns the uuid of a player from their id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuidFromId(player_id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getNameFromId</th>
            <th class="desc">returns the name of a player from their id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNameFromId(player_id)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getId</th>
            <th class="desc">returns the id of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getId(player / uuid / string_uuid)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.get</th>
            <th class="desc">returns a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.get(player / uuid / string_uuid)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.respawn</th>
            <th class="desc">forces the respawn of a dead player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.respawn(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setCompass</th>
            <th class="desc">sets the target of a compass</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setCompass(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setHunger</th>
            <th class="desc">sets the hunger of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setHunger(player, number)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>Vanilla default: 0-20</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getHunger</th>
            <th class="desc">returns the hunger of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHunger(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setSaturation</th>
            <th class="desc">sets the saturation of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setSaturation(player, number)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>Vanilla default: 5, maximum: 20</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getSaturation</th>
            <th class="desc">returns the saturation of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getSaturation(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setGamemode</th>
            <th class="desc">set the gamemode for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setGamemode(player, gamemode)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>gamemode as "SURVIVAL" / "CREATIVE" / "ADVENTURE" / "SPECTATOR"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isSurvival</th>
            <th class="desc">returns true if a player is in gamemode survival</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSurvival(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isCreative</th>
            <th class="desc">returns true if a player is in gamemode creative</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isCreative(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isAdventure</th>
            <th class="desc">returns true if a player is in gamemode adventure</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isAdventure(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isSpectator</th>
            <th class="desc">returns true if a player is in gamemode spectator</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSpectator(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.hasFly</th>
            <th class="desc">returns true if a player is allowed to fly</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hasFly(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isFlying</th>
            <th class="desc">returns true if a player is flying</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isFlying(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setFly</th>
            <th class="desc">set if a player is allowed to fly</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setFly(player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.dropInventory</th>
            <th class="desc">drops the inventory of a player at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.dropInventory(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getItemAmount</th>
			<th class="desc">returns the amount of an exact itemstack from a players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getItemAmount(player, itemstack)</td>
        </tr>
    <table>
        <tr>
            <th class="command">player.damageItem</th>
            <th class="desc">damages the item in the hand of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageItem(player, damage_amount)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>unbreaking (and more) is considered</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setSpawn</th>
            <th class="desc">sets the spawn location of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setSpawn(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getSpawn</th>
            <th class="desc">returns the spawn location of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getSpawn(player)</td>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>spawn is linked to the bed spawn, if no bed spawn exists the return value may be null</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.giveItem</th>
            <th class="desc">gives an itemstack to a player and returns the item amount which didn't fit in a players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.giveItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.addItem</th>
			<th class="desc">returns 0 if the itemstack is added, otherwise the itemstack won't be added and the not fitting item amount is returned</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.addItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.removeItem</th>
            <th class="desc">returns 0 if the itemstack is removed, otherwise the itemstack won't be removed and the missing item amount is returned</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.removeItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getIP</th>
            <th class="desc">returns the ip-address of a player as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getIp(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getInv</th>
            <th class="desc">returns the (non-copy) inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getEnderInv</th>
            <th class="desc">returns the (non-copy) ender inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getEnderInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getTargetEntity</th>
            <th class="desc">returns the targeted entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTargetEntity(player, radius)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>radius will be cast to int<br></td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getLevel</th>
            <th class="desc">returns the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getLevel(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setLevel</th>
            <th class="desc">sets the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setLevel(player, level)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>level is cast to int</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getExp</th>
            <th class="desc">returns the experience of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getExp(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setExp</th>
            <th class="desc">sets the experience of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setExp(player, exp)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>exp is cast to float</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.addTotalExp</th>
            <th class="desc">modifies the experience of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.addTotalExp(player, exp)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>exp is cast to int</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.hide</th>
            <th class="desc">hides a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hide(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.show</th>
            <th class="desc">shows a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.show(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setFlySpeed</th>
            <th class="desc">sets the fly speed of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setFlySpeed(player, speed)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>speed is cast to float</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setWalkSpeed</th>
            <th class="desc">sets the walk speed of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setWalkSpeed(player, speed)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>speed is cast to float</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.isSneaking</th>
            <th class="desc">returns true if a player is sneaking</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSneaking(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.isBlocking</th>
            <th class="desc">returns true if a player is blocking with their shield</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isBlocking(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setSlot</th>
            <th class="desc">sets the active slot of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setSlot(player, slot)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>slot from 0 to 8</td>
        </tr>
    </table>
</section>

<section id="Inventory">
    <table>
        <tr>
            <th class="command">inv.new</th>
            <th class="desc">returns a new custom inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.new(slotdata, title)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				slotdata as string:<br>
				0 = no slot, throws no event<br>
				1 = normal slot, throws inv_click event<br>
				2 = button slot, throws snuvi_click event
			</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>inv.new("002122000")</td>
        </tr>
    </table>
	</table>
	<table>
		<tr>
            <th class="command">inv.getSize</th>
            <th class="desc">returns the size of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getSize(inventory)</td>
        </tr>
    <table>
        <tr>
            <th class="command">inv.setItem</th>
            <th class="desc">sets an itemstack on a specific slot in an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.setItem(inventory, slotindex, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.getItem</th>
            <th class="desc">returns an itemstack from a specific slot of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getItem(inventory, slotindex)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.open</th>
            <th class="desc">shows an inventory to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.open(inventory, player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.close</th>
            <th class="desc">closes an inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.close(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.clear</th>
            <th class="desc">clears an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.clear(inv)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.getID</th>
            <th class="desc">returns the id of an inventory or -1 if no custom inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getID(inventory)</td>
        </tr>
    </table>
</section>

<section id="World">
    <table>
        <tr>
            <th class="command">world.get</th>
            <th class="desc">returns a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.get(name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getName</th>
            <th class="desc">returns the name of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getName(world)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getPlayers</th>
            <th class="desc">returns a list with all players in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getPlayers(world)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setDifficulty</th>
            <th class="desc">sets the difficulty of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setDifficulty(world, <a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/Difficulty.html" target="_blank">difficulty</a>)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setSpawn</th>
            <th class="desc">sets the world spawn</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setSpawn(world, location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getSpawn</th>
            <th class="desc">returns the world spawn as location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getSpawn(world)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getAll</th>
            <th class="desc">returns a list with all loaded worlds</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getAll()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setTime</th>
            <th class="desc">sets the time for a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setTime(world, time)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>time from 0 to 24000</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getTime</th>
            <th class="desc">returns the time of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getTime(world)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">world.hasRain</th>
            <th class="desc">returns true if it is raining in the world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.hasStorm(world)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">world.hasThunder</th>
            <th class="desc">returns true if there is thunder in the world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.hasThunder(world)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.clearWeather</th>
            <th class="desc">clears the weather of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.clearWeather(world, ticks)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>ticks when the next rain is allowed to start</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setRain</th>
            <th class="desc">sets the weather of a world to rain</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setRain(world, ticks)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>ticks how long the rain stays</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setThunder</th>
            <th class="desc">sets the weather of a world to thunder</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setThunder(world, ticks)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>ticks how long the thunder stays</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getEntities</th>
            <th class="desc">returns a list with all entities in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getEntities(world)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.load</th>
            <th class="desc">returns the loaded world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.load(name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.unload</th>
            <th class="desc">returns true if unloading a world is successful</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.unload(world)</td>
        </tr>
    </table>
</section>

<section id="Entity">
	<table>
        <tr>
            <th class="command">Xentity.getType</th>
            <th class="desc">returns the type of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getType(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setName</th>
            <th class="desc">sets the name of an entity, true for an always visible name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setName(entity, name, nameVisibility|false)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getName</th>
            <th class="desc">returns the name of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getName(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getLocation</th>
            <th class="desc">returns the location of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLocation(entity / player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.teleport</th>
            <th class="desc">teleports an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.teleport(entity / player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setInvulnerable</th>
            <th class="desc">sets an entity (in)vulverable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvulnerable(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.throw</th>
            <th class="desc">throws an entity in relative direction to the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.throw(entity / player, x, y, z)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>x/y/z is claimed in the interval from -3.9 to 3.9 by minecraft</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setInvisible</th>
            <th class="desc">sets an entity (in)visible</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvisible(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.clearEffects</th>
            <th class="desc">remove all effects from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.clearEffects(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.remove</th>
            <th class="desc">removes an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.remove(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.removeAll</th>
            <th class="desc">remove specific entities from an area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.removeAll(entity_class, location, radius)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>not all entity_classes are allowed (filtered and blocked)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.removeAll("net.minecraft.entity.passive.CowEntity", location, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setSilent</th>
            <th class="desc">true sets an entity silent</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setSilent(entity, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.mount</th>
            <th class="desc">let an entity ride another entity (for any living entities)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.mount(entity, horse_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.unmount</th>
            <th class="desc">unmounts the rider</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.unmount(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.isWet</th>
            <th class="desc">returns true if an entity is wet</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isWet(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.isBurning</th>
            <th class="desc">returns true if an entity burns</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isBurning(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setBurning</th>
            <th class="desc">sets an entity on fire</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setBurning(entity, seconds)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>0 seconds extinguish the entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setNoPickup</th>
            <th class="desc">this arrow-entity cannot be picked up</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setNoPickup(arrow-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.get</th>
            <th class="desc">returns the next entity to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.get(location, radius, entity_class)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.get(location, radius, "net.minecraft.entity.passive.CowEntity")</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getItemFromFrame</th>
            <th class="desc">returns the itemstack of an itemframe</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getItemFromFrame(itemframe-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.spawnItemFrame</th>
            <th class="desc">sets an itemframe with an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawnItemFrame(location, direction, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>direction "north" / "east" / "south" / "west"</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.spawn</th>
            <th class="desc">spawns an entity and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawn(type, location, [daten])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.getEnchantmentModifier</th>
            <th class="desc">returns the summarized enchantment modificator of the armor for the damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getEnchantmentModifier(entity, damagesource)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setGravity</th>
            <th class="desc">toggles the gravity of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGravity(entity, boolean)</td>
        </tr>
    <table>
        <tr>
            <th class="command">Xentity.setPickupDelay</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setPickupDelay(item-entity, ticks)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.setGrowingAge</th>
            <th class="desc">sets the growing age of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGrowingAge(entity, age_int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getEffectAmplifier</th>
            <th class="desc">returns the amplifier (effect level), 0 if not existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.hasEffect(entity / player, effect)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a></td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.addEffect</th>
            <th class="desc">adds an effect to an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.addEffect(entity / player, effect, ticks, amplifier, [particle|true])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a> / number ticks (infinite: 32760) / number amplifier (1 means potion-level 1)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getPotionType</th>
            <th class="desc">returns the type of a potion</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getPotionType(potion-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.near</th>
            <th class="desc">returns a list with all entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.near(location / entity, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getLook</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLook(entity / player)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>array[0] = x<br>array[1] = y<br>array[2] = z</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.getMotion</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getMotion(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.addTag</th>
            <th class="desc">adds a tag to an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.addTag(entity, tag as string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.removeTag</th>
            <th class="desc">removes a tag from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.removeTag(entity, tag as string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.clearTag</th>
            <th class="desc">removes all tags from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.clearTag(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.hasTag</th>
            <th class="desc">returns true if an entity has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.hasTag(entity, tag as string)</td>
        </tr>
        <tr>
			<td class="bold">Info</td>
            <td>default entity-tags: no_tick, mod_spawned</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.frame.hide</th>
            <th class="desc">hides an item frame</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.frame.hide(entity_frame)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.frame.show</th>
            <th class="desc">shows an item frame</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.frame.show(entity_frame)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.frame.setFixed</th>
            <th class="desc">sets the fix tag for an item frame</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.frame.setFixed(entity_frame, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcreeper.explode</th>
            <th class="desc">let a creeper explode</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>creeper.explode(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsheep.isSheared</th>
            <th class="desc">returns true if a sheep is sheared</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.isSheared(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsheep.getColor(entity)</th>
            <th class="desc">returns the color of a sheep</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.getColor(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xpet.isTamed</th>
            <th class="desc">returns true if a pet is tamed</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.isTamed(tamable_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xpet.setTamed</th>
            <th class="desc">set tame state for a tamable entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				pet.setTamed(tamable_entity, boolean, [owner])
			</td>
        </tr>
		<tr>
            <td class="bold">Example</td>
            <td>
				pet.setTamed(horse, true)<br>
				pet.setTamed(horse, false)<br>
				pet.setTamed(horse, true, owner)<br>
				pet.setTamed(horse, false, owner)<br>
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xpet.getOwner</th>
            <th class="desc">returns the owner's uuid from an pet</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.getOwner(tamable_entity)</td>
        </tr>
    </table>
</section>

<section id="Living">
    <table>
        <tr>
            <th class="command">Xliving.setHealth</th>
            <th class="desc">sets the health points for a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setHealth(living_entity, amount)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.getHealth</th>
            <th class="desc">returns the health points from a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getHealth(living_entity)</td>
        </tr>
	</table>
	<table>
        <tr>
            <th class="command">Xliving.damage</th>
            <th class="desc">damages a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.damage(living_entity, damage_amount, [damagesource])</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.heal</th>
            <th class="desc">heals a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.heal(living_entity, heal_amount)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.setEquip</th>
            <th class="desc">set the equipment of a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setEquip(living_entity, bodypart, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.getEquip</th>
            <th class="desc">returns the equipment of a living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getEquip(living_entity, bodypart)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.near</th>
            <th class="desc">returns a list with all living entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.near(location / entity, radius)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xliving.removeAi</th>
            <th class="desc">removes the AI of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.removeAi(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">X</th>
            <th class="desc">commands for living properties</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				living.get...(living_entity)<br>
				living.getBase...(living_entity)<br>
				living.set..(living_entity, value)<br>
				living.setPersistent...(living_entity, value)
			</td>
        </tr>
        <tr>
            <td class="bold">Properties</td>
            <td>
				...maxHealth<br>
				...AttackKnockback<br>
				...AttackDamage<br>
				...AttackSpeed<br>
				...FollowRange<br>
				...Luck<br>
				...Armor<br>
				...ArmorThoughness<br>
				...MovementSpeed<br>
				...FlyingSpeed<br>
				...KnockbackResistance
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.shootProjectile</th>
            <th class="desc">returns the shooten entity. A projectile is shooten into viewing direction of the player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.shootProjectile(living_entity, String entity_class, Number power, [data])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                data: always null, except for arrows and potions use itemstacks<br>
                <br>
                entity_classes:<br>
                <br>
                me.km.entities.EntityItemProjectile<br>
                net.minecraft.entity.projectile.SnowballEntity<br>
                net.minecraft.entity.projectile.EggEntity<br>
                net.minecraft.entity.item.EnderPearlEntity<br>
                net.minecraft.entity.projectile.PotionEntity<br>
                net.minecraft.entity.item.ExpBottleEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.TippedArrowEntity<br>
                net.minecraft.entity.projectile.SpectralArrowEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.SmallFireballEntity<br>
                net.minecraft.entity.projectile.WitherSkullEntity<br>
                net.minecraft.entity.projectile.DragonFireballEntity<br>
                net.minecraft.entity.projectile.FireballEntity
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.isBlocking</th>
            <th class="desc">returns true if an entity is blocking (e.g. activated shield)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.isBlocking(entity)</td>
        </tr>
    </table>
</section>

<section id="Particle">
	<table>
        <tr>
            <th class="command">particle.get</th>
            <th class="desc">returns a particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.get(<a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/Particle.html" target="_blank">name</a>)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">particle.getAll</th>
            <th class="desc">returns an array of all particles</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.getAll()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">particle.spawn</th>
            <th class="desc">spawns a particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawn(location, particle, [count | 1], [speed | 0.0], [offX | 0.0], [offY | 0.0], [offZ | 0.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">particle.spawnPlayer</th>
            <th class="desc">spawns a particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawnPlayer(location, particle, player, [count | 1], [speed | 0.0], [offX | 0.0], [offY | 0.0], [offZ | 0.0])</td>
        </tr>
    </table>
</section>

<section id="Sound">
	<table>
        <tr>
            <th class="command">sound.get</th>
            <th class="desc">returns a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.get(<a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/Sound.html" target="_blank">name</a>)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.getCategory</th>
            <th class="desc">returns a sound category</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.getCategory(<a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/SoundCategory.html" target="_blank">name</a>)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.spawn</th>
            <th class="desc">plays a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawn(location, sound, sound_category, [volume | 1.0], [pitch | random from 0.9 to 1.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.spawnForPlayer</th>
            <th class="desc">plays a sound for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawnForPlayer(player, sound, sound_category, [volume | 1.0], [pitch | random from 0.9 to 1.0])</td>
        </tr>
    </table>
</section>

<section id="Human">
	<table>
        <tr>
            <th class="command">human.spawn</th>
            <th class="desc">returns the spawned human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.spawn(location, name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setSkin</th>
            <th class="desc">sets the skin of a human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setSkin(human, <a href="https://mineskin.org/gallery" target="_blank">texture_value</a>, <a href="https://mineskin.org/gallery" target="_blank">texture_signature</a>)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setName</th>
            <th class="desc">sets the name of a human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setName(human, name)</td>
        </tr>
    </table>
</section>

<section id="Damage">
	<table>
        <tr>
            <th class="command">damage.get</th>
            <th class="desc">returns a damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.get(damage_name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			 <td>
				damage_name:
				inFire,	lightningBolt, onFire, lava, hotFloor, inWall, cramming, drown, starve, cactus, fall, flyIntoWall, outOfWorld, generic, magic, wither, anvil, fallingBlock, dragonBreath, dryout, sweetBerryBush, freeze, fallingStalactite, stalagmite
            </td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getType</th>
            <th class="desc">returns the type of a damage_source as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getType(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getImmediateSource</th>
            <th class="desc">returns the direct damager entity of a damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getImmediateSource(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getTrueSource</th>
            <th class="desc">returns the indirect damager entity of a damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getTrueSource(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isCreativePlayer</th>
            <th class="desc">returns true if the damage_source can damage an creative player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isCreativePlayer(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isAbsolute</th>
            <th class="desc">returns true if the damage ignores modifications by potion effects or enchantments</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isAbsolute(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isDifficultyscaled</th>
            <th class="desc">returns true if the damage_source will have its damageamount scaled based on the current difficulty</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isDifficultyscaled(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isExplosion</th>
            <th class="desc">returns true if the damage is explosion based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isExplosion(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isFire</th>
            <th class="desc">returns true if the damage is fire based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isFire(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isMagic</th>
            <th class="desc">returns true if the damage is magic based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isMagic(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isProjectile</th>
            <th class="desc">returns true if the damage is projectile based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isProjectile(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isUnblockable</th>
            <th class="desc">returns true if the damage cannot be blocked by armor</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isUnblockable(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isFall</th>
            <th class="desc">returns true if the damage is fall based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isFall(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isDamagingHelmet</th>
            <th class="desc">returns true if the damage is damaging helmet based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isDamagingHelmet(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isSweep</th>
            <th class="desc">returns true if the damage is sweep based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isSweep(damage_source)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.sting</th>
            <th class="desc">returns a sting damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.sting(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.mobAttack</th>
            <th class="desc">returns a mob attack damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.mobAttack(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.indirect</th>
            <th class="desc">returns a indirect damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.indirect(entity, living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.playerAttack</th>
            <th class="desc">returns a player attack damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.playerAttack(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.arrow</th>
            <th class="desc">returns a arrow damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.arrow(arrow, entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.trident</th>
            <th class="desc">returns a trident damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.trident(entity1, entity2)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.firework</th>
            <th class="desc">returns a firework damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.firework(firework, entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.fireball</th>
            <th class="desc">returns a fireball damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.fireball(large_fireball, entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.witherSkull</th>
            <th class="desc">returns a wither skull damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.witherSkull(wither_skull, entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.projectile</th>
            <th class="desc">returns a projectile damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.projectile(entity1, entity2)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.indirectMagic</th>
            <th class="desc">returns a indirect magic damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.indirectMagic(entity1, entity2)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.thorns</th>
            <th class="desc">returns a thorns damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.thorns(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.explosion</th>
            <th class="desc">returns a explosion damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.explosion(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.explosionBed</th>
            <th class="desc">returns a explosion bed damage_source</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.explosionBed()</td>
        </tr>
    </table>
</section>

<section id="Data">
	<table>
        <tr>
            <th class="command">data.set</th>
            <th class="desc">sets data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.set(player, key, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.get</th>
            <th class="desc">returns data from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.get(player, key)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.setTimer</th>
            <th class="desc">sets timed data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.setTimer(player, key, ticks)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>set ticks to -1 to delete the timer<br>when the timer expires the event player_data_tick is thrown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.getTimer</th>
            <th class="desc">returns the remaining ticks of timed data (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.getTimer(player, key)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.clear</th>
            <th class="desc">deletes all data from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.clear(player)</td>
        </tr>
    </table>
</section>

<section id="Shop">
	<table>
        <tr>
            <th class="command">Xshop.new</th>
            <th class="desc">returns a new shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.new()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.addOffer</th>
            <th class="desc">adds an offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addOffer(shop, buy_item, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.addDoubleOffer</th>
            <th class="desc">adds a double offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addDoubleOffer(shop, buy_item_1, buy_item_2, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.open</th>
            <th class="desc">shows a shop to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.open(shop, player, shop_name)</td>
        </tr>
    </table>
</section>

<section id="Boss">
	<table>
        <tr>
            <th class="command">boss.create</th>
            <th class="desc">returns a bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.create(title, color, barstyle)</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>
				title as string<br>
				<a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/boss/BarColor.html" target="_blank">color</a> as string<br>
				<a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/boss/BarStyle.html" target="_blank">barstyle</a> as string
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.addPlayer</th>
            <th class="desc">add a player to the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.addPlayer(bossbar, player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.removePlayer</th>
            <th class="desc">remove a player from the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.removePlayer(bossbar, player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.removeAll</th>
            <th class="desc">remove all players from the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.removeAll(bossbar)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.addFlag</th>
            <th class="desc">adds a flag to the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.addFlag(bossbar, flag)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/boss/BarFlag.html" target="_blank">flag</a> as string</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.removeFlag</th>
            <th class="desc">removes a flag from the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.removeFlag(bossbar, flag)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/boss/BarFlag.html" target="_blank">flag</a> as string</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setTitle</th>
            <th class="desc">sets the title for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setTitle(string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setProgress</th>
            <th class="desc">sets the progress of the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setProgress(double)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>double from 0 to 1</td>
        </tr>
    </table>
</section>